---
title: "Gerät"
source: /de/gcxone/api/device
locale: de
updated: 2026-09-04
---
Operationen an Geräte‑Ressourcen. 8 Endpunkte, jeweils relativ zu `https://api.nxgen.cloud/api/v1` und authentifiziert wie unter [Authentifizierung](/gcxone/api/authentication).

## POST /device/

Neues Gerät erstellen

### Anfrageinhalt

Gerät hinzufügen

```json
{
  "payload": [
    {
      "id": "string",
      "status": "string",
      "armstate": "string",
      "sensorType": "string",
      "commercialName": "string",
      "catalogName": "string",
      "macAddress": "string",
      "deviceType": "string",
      "firmwareVersion": "string",
      "hardwareVersion": "string",
      "manafacturer": "string",
      "modelNo": "string",
      "srNo": "string",
      "specification": "string",
      "description": "string",
      "tags": [
        "string"
      ],
      "eventTags": [
        "string"
      ],
      "photos": [
        "string"
      ],
      "latitude": "string",
      "longitude": "string",
      "userName": "string (required)",
      "password": "string (required)",
      "ipAddressOrHostName": "string (required)",
      "controlPort": "string (required)",
      "RTSPPort": "string (required)",
      "RTSPUrl": "string",
      "type": "string (required)",
      "subType": "string",
      "catalogId": "string",
      "siteId": "string",
      "eventRetentionTime": "string",
      "sitePulseConfiguration": "boolean",
      "pulseConfigurationTime": "object",
      "configureHeatmapMask": "boolean",
      "peirodicHealthCheck": "boolean",
      "jsonSchema": "object",
      "associatedSiteId": "string",
      "cameraCount": "number",
      "cameraList": [
        {
          "name": "…",
          "enabled": "…",
          "adproSourceUrl": "…",
          "channelId": "…"
        }
      ],
      "parentAccountId": "string",
      "siteParent": "string",
      "customerId": "string",
      "serviceProviderId": "string",
      "siteEventProviderId": "string",
      "customerEventProviderId": "string",
      "serviceProvidersEventProviderId": "string",
      "assetStatus": "string",
      "uniqueId": "string",
      "momentsTimeZoneCountryName": "String",
      "profile": {
        "photos": [
          "…"
        ]
      },
      "geoCordinates": {
        "latitude": "string",
        "longitude": "string"
      }
    }
  ]
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

## GET /device/arming/info?deviceId={deviceId}&action=info

Um Gerätestatus-Informationen abzurufen

### Parameter

| Name | Im | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| deviceId | Abfrage | Zeichenkette | ja |  |

### Antworten

| Status | Description | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## PUT /device/arming?deviceId={deviceId}&action={action}

Alarm schärfen/entschärfen nach deviceID aktualisieren

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| deviceId | query | Zeichenkette | ja |  |
| action | query | Boolesch | ja |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## POST /device/filter

Ruft die Geräteliste mit Filterung, Sortierung und Pagination ab. Es ermöglicht die Suche auf hierarchischer Ebene. Es kann anhand einer angegebenen Hierarchie gefiltert werden oder verwendet die Hierarchie des angemeldeten Benutzers. Dies bietet die Möglichkeit, zusätzliche Entitätsfelder in der Antwort zu erhalten. Außerdem werden Konfigurations‑Metadaten zur Entität bereitgestellt.

### Anfragekörper

Gerätefilterung und -sortierung

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg | Objekt |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Zugriff verweigert |  |

Beispiel`200` response:

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "Device",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "id": "10eb916e67884c87a0833e494bef7e69",
      "commercialName": "Device",
      "siteParent": "Axxon Site",
      "enableAudio": "Enabled",
      "parentAccountId": "f2b51c0f62c64d15a7b1acc5ea13082d",
      "assetStatus": "active",
      "uniqueId": "10eb916e67884c87a0833e494bef7e69",
      "type": "Axxon",
      "dateTime": 1655707624747,
      "customerName": "Axxon customer"
    },
    {
      "id": "27b050033c2d48769b9fbaa83449cc67",
      "commercialName": "Device",
      "siteParent": "Site test",
      "enableAudio": "Enabled",
      "parentAccountId": "c772ac8dd22f4a9ab8241cb7db87a65e",
      "assetStatus": "active",
      "uniqueId": "27b050033c2d48769b9fbaa83449cc67",
      "type": "EdgeComputer",
      "dateTime": 1655274173376,
      "customerName": "OWT TEST",
      "srNo": "eqrrw"
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## PUT /device/isolate?deviceId={deviceId}&enable={enable}

Isolation per Geräte‑ID aktualisieren

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| deviceId | Abfrage | Zeichenkette | ja |  |
| aktivieren | Abfrage | Wahrheitswert | ja |  |
| isolateStartTime | Abfrage | Zahl | nein |  |
| Dauer | Abfrage | Zahl | nein |  |

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## GET /device/{id}

Abrufen nach Device ID

### Parameter

| Name | Im | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | Pfad | Zeichenkette | ja |  |

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

## PUT /device/{id}

Vorhandenes Gerät aktualisieren

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | Pfad | Zeichenkette | Ja |  |

### Anfragekörper

```json
{
  "payload": {
    "id": "string",
    "status": "string",
    "armstate": "string",
    "sensorType": "string",
    "commercialName": "string",
    "catalogName": "string",
    "macAddress": "string",
    "deviceType": "string",
    "firmwareVersion": "string",
    "hardwareVersion": "string",
    "manafacturer": "string",
    "modelNo": "string",
    "srNo": "string",
    "specification": "string",
    "description": "string",
    "latitude": "string",
    "longitude": "string",
    "userName": "string (required)",
    "password": "string (required)",
    "ipAddressOrHostName": "string (required)",
    "controlPort": "string (required)",
    "RTSPPort": "string (required)",
    "RTSPUrl": "string",
    "type": "string (required)",
    "subType": "string",
    "catalogId": "string",
    "siteId": "string",
    "eventRetentionTime": "string",
    "sitePulseConfiguration": "boolean",
    "pulseConfigurationTime": "object",
    "configureHeatmapMask": "boolean",
    "peirodicHealthCheck": "boolean",
    "jsonSchema": "object",
    "associatedSiteId": "string",
    "cameraCount": "number",
    "cameraList": [
      {
        "name": "string",
        "enabled": "number",
        "adproSourceUrl": "string",
        "channelId": "number"
      }
    ],
    "parentAccountId": "string",
    "siteParent": "string",
    "customerId": "string",
    "serviceProviderId": "string",
    "siteEventProviderId": "string",
    "customerEventProviderId": "string",
    "serviceProvidersEventProviderId": "string",
    "assetStatus": "string",
    "uniqueId": "string",
    "profile": {
      "business": [
        "string"
      ],
      "photos": [
        "string"
      ],
      "tags": [
        "string"
      ],
      "followers": [
        "string"
      ]
    },
    "geoCordinates": {
      "latitude": "string",
      "longitude": "string",
      "plusCode": "string",
      "what3Words": "string"
    },
    "commisioningStatus": "object",
    "syncStatus": "boolean",
    "jsonSchemaResult": "object",
    "momentsTimeZoneCountryName": "String"
  }
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

## DELETE /device/{id}

Gerät anhand der ID löschen

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | Pfad | Zeichenkette | ja |  |

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |